package com.yovinchen.xlcs.product.controller;

import com.yovinchen.xlcs.common.result.Result;
import com.yovinchen.xlcs.product.service.FileUploadService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

/**
 * ClassName: FileUploadController
 * Package: com.yovinchen.xlcs.product.controller
 *
 * @author yovinchen
 * @since 2023/9/15 13:56
 */
@Api(tags = "文件上传接口")
@RestController

@RequestMapping("admin/product")
public class FileUploadController {

    @Autowired
    private FileUploadService fileUploadService;

    /**
     * 文件上传
     *
     * @param file
     * @return
     * @throws Exception
     */
    @ApiOperation("文件上传接口")
    @PostMapping("fileUpload")
    public Result fileUpload(MultipartFile file) throws Exception {
        try {
            return Result.ok(fileUploadService.fileUpload(file));
        } catch (Exception e) {
            throw new RuntimeException("文件上传接口异常", e);
        }
    }
}
