package com.yovinchen.xlcs.product.mapper;

import com.yovinchen.xlcs.model.product.SkuInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * sku信息 mapper 接口
 * </p>
 *
 * @author yovinchen
 * @since 2023-09-15
 */
public interface SkuInfoMapper extends BaseMapper<SkuInfo> {

    /**
     * 验证库存
     *
     * @param skuId
     * @param skuNum
     * @return
     */
    SkuInfo checkStock(@Param("skuId") Long skuId, @Param("skuNum") Integer skuNum);

    /**
     * 锁订库存
     *
     * @param skuId
     * @param skuNum
     * @return
     */
    Integer lockStock(@Param("skuId") Long skuId, @Param("skuNum") Integer skuNum);

    /**
     * 解锁库存
     *
     * @param skuId
     * @param skuNum
     */
    void unlockStock(@Param("skuId") Long skuId, @Param("skuNum") Integer skuNum);

    /**z
     * 减库存
     *
     * @param skuId
     * @param skuNum
     */
    void minusStock(@Param("skuId") Long skuId, @Param("skuNum") Integer skuNum);
}
