package com.yovinchen.xlcs.search.service;

import com.yovinchen.xlcs.model.search.SkuEs;
import com.yovinchen.xlcs.vo.search.SkuEsQueryVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * ClassName: SkuService
 * Package: com.yovinchen.xlcs.search.service
 *
 * @author yovinchen
 * @since 2023/9/16 17:23
 */

@Service
public interface SkuService {
    /**
     * 上架商品列表
     *
     * @param skuId
     */
    void upperSku(Long skuId);

    /**
     * 下架商品列表
     *
     * @param skuId
     */

    void lowerSku(Long skuId);

    /**
     * 获取爆品商品
     *
     * @return
     */
    List<SkuEs> findHotSkuList();

    /**
     * 搜索分类商品
     *
     * @param pageable
     * @param searchParamVo
     * @return
     */
    Page<SkuEs> search(Pageable pageable, SkuEsQueryVo searchParamVo);

    /**
     * 更新商品热度
     *
     * @param skuId
     */
    void incrHotScore(Long skuId);
}
